controller:
  kind: Deployment
  containerPort:
    http: 8180
    https: 8443
  service:
    enabled: "true"
    ports:
      http: 8080
      https: 8443
    targetPorts:
      http: http
      https: https
    type: ClusterIP
    enableHttp: "true"
    enableHttps: "true"
  extraContainers:
    - name: cloudflare-tunnel
      image: docker.io/cloudflare/cloudflared:2020.12.0
      imagePullPolicy: Always
      command: ["cloudflared", "tunnel"]
      args:
      - --url=http://127.0.0.1:80
      - --hostname=k8s-hcl-dev.plicon.nl
      - --origincert=/etc/cloudflared/cert.pem
      - --no-autoupdate
      env:
      - name: POD_NAME
        valueFrom:
          fieldRef:
            fieldPath: metadata.name
      - name: POD_NAMESPACE
        valueFrom:
          fieldRef:
            fieldPath: metadata.namespace
      resources:
        limits:
          cpu: 50m
          memory: 256Mi
        requests:
          cpu: 25m
          memory: 124Mi
      volumeMounts:
      - mountPath: /etc/cloudflared
        name: tunnel-secret
        readOnly: true
  terminationGracePeriodSeconds: 60
  extraVolumes:
  - name: tunnel-secret
    secret:
      secretName: cf-argo-tunnel-secret